import { css } from "@linaria/core";
import { Layout } from "ant-design-vue";
import { defineComponent } from "vue";
const { Header, Content, Footer } = Layout;
import HeaderComponent from "@/components/layout/Header";
import FooterComponent from "@/components/layout/Footer";
export default defineComponent(() => {
  return () => (
    <Layout>
      <Header class={HeaderLayout}>
        <HeaderComponent />
      </Header>
      <Content>
        <router-view></router-view>
      </Content>
      <Footer class={FooterLayout}>
        <FooterComponent />
      </Footer>
    </Layout>
  );
});
const HeaderLayout = css`
  &.ant-layout-header {
    height: auto;
    line-height: 1;
    padding: 0;
    background-color: transparent;
  }
`;
const FooterLayout = css`
  &.ant-layout-footer {
    height: auto;
    line-height: 1;
    padding: 0;
    background-color: transparent;
  }
`;
