import { css } from "@linaria/core";
import { ArrowRightOutlined } from "@ant-design/icons-vue";
import { defineComponent } from "vue";
export default defineComponent({
  setup() {
    return () => (
      <div class={[page, "home_lay_item_box"]}>
        <div class={"global-w"}>
          <div class={"home_lay_title"}>
            专业建设<span>/</span>
            <span>Speciality</span>
          </div>
          <div class={"spe_cards"}>
            <div class={"cards_item card_a"}>
              <div class={"card_icon"}>
                <img src={getImageUrl("icons/icon_home_specialty_1.png")} />
              </div>
              <div class={"card_tit"}>
                <div>产品设计系</div>
                <div class={"sec_tit"}>
                  <p>工业产品设计</p>
                  <p>电子信息产品设计</p>
                  <p>家居文创产品设计</p>
                </div>
                <div class={"card_desc"}>
                  <div class={"desc"}>
                    产品设计专业（即原艺招“工业设计专业”），是四川省高校省级特色专业、四川省一流本科专业、四川省地方高校应用型本科示范专业，也是四川省教育体制机制改革立项的重要试点。
                  </div>
                  <div class={"more"}>
                    <a>
                      了解更多
                      <ArrowRightOutlined class={"arrow"} />
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <div class={"cards_item card_b"}>
              <div class={"card_icon"}>
                <img src={getImageUrl("icons/icon_home_specialty_2.png")} />
              </div>
              <div class={"card_tit"}>
                <div>视觉传达系</div>
                <div class={"sec_tit"}>
                  <p>视觉传达设计</p>
                  <p>设计与科技</p>
                </div>
                <div class={"card_desc"}>
                  <div class={"desc"}>
                    视觉传达设计系现有在校学生近500人，包含视觉传达设计和艺术与科技两个专业，专业教师18人，来自国内外专业院校，有美国、英国、日本、韩国等国的留学经历。
                  </div>
                  <div class={"more"}>
                    <a>
                      了解更多
                      <ArrowRightOutlined class={"arrow"} />
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <div class={"cards_item card_c"}>
              <div class={"card_icon"}>
                <img src={getImageUrl("icons/icon_home_specialty_3.png")} />
              </div>
              <div class={"card_tit"}>
                <div>环境设计系</div>
                <div class={"sec_tit"}>
                  <p>室内设计</p>
                  <p>景观设计</p>
                  <p>空间设计</p>
                </div>
                <div class={"card_desc"}>
                  <div class={"desc"}>
                    环境设计专业创办于2000年，近22年的办学历史使环境设计系具有了深厚的文化底蕴和优良的教学传统。环境设计系现有在校生420多人，专职教师12人，其中副教授6人，讲师6人，博士2人，75%以上的教师具有硕士及以上学位。
                  </div>
                  <div class={"more"}>
                    <a>
                      了解更多
                      <ArrowRightOutlined class={"arrow"} />
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <div class={"cards_item card_d"}>
              <div class={"card_icon"}>
                <img src={getImageUrl("icons/icon_home_specialty_4.png")} />
              </div>
              <div class={"card_tit"}>
                <div>美术系</div>
                <div class={"sec_tit"}>
                  <p>油画</p>
                  <p>中国画</p>
                  <p>综合绘画</p>
                </div>
                <div class={"card_desc"}>
                  <div class={"desc"}>
                    美术系成立于1992年。现有全日制在校学生300余人，专任教师16人，其中高级职称教师8人，其中教授2人、副教授6人。本系开设有油画、中国画和综合绘画三个不同的专业方向。
                  </div>
                  <div class={"more"}>
                    <a>
                      了解更多
                      <ArrowRightOutlined class={"arrow"} />
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <div class={"cards_item card_e"}>
              <div class={"card_icon"}>
                <img src={getImageUrl("icons/icon_home_specialty_5.png")} />
              </div>
              <div class={"card_tit"}>
                <div>美术系</div>
                <div class={"sec_tit"}>
                  <p>影视动画</p>
                  <p>游戏美术</p>
                </div>
                <div class={"card_desc"}>
                  <div class={"desc"}>
                    西华大学动画专业创建于2001年，最早在西华大学国际动画艺术学院招收动画专业，2010年回归西华大学本部办学，2017开始在设计学一级学科硕士点招收设计学动画与数字媒体艺术方向学术型研究生
                  </div>
                  <div class={"more"}>
                    <a>
                      了解更多
                      <ArrowRightOutlined class={"arrow"} />
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  },
});
const page = css`
  .spe_cards {
    display: flex;
    .cards_item {
      flex: 1;
      margin: 0 1px;
      height: 520px;
      padding: 70px 20px 40px;
      color: #fff;
      transition: all 0.3s ease-in-out;
      .card_icon {
        img {
          width: 72px;
          height: 72px;
          object-fit: contain;
        }
      }
      .card_tit {
        margin-top: 12px;
        font-size: 20px;
        .sec_tit {
          margin-top: 20px;
          font-size: 14px;
          font-weight: 400;
          line-height: 32px;
          p {
            margin: 0;
          }
        }
      }
      .card_desc {
        margin-top: 50px;
        opacity: 0;
        .desc {
          font-size: 14px;
          line-height: 24px;
        }
        .more {
          margin-top: 20px;
          a {
            font-size: 16px;
            color: #fff;
            &:hover {
              text-decoration: underline;
            }
          }
          .arrow {
            margin-left: 8px;
            padding: 2px;
            border: 1px solid #fff;
            font-size: 12px;
            border-radius: 50%;
          }
        }
      }
      &.card_a {
        background: #ad947c url("@/assets/bg_home_specialty_1.png") no-repeat
          center/cover;
      }
      &.card_b {
        background: #da737b url("@/assets/bg_home_specialty_2.png") no-repeat
          center/cover;
      }
      &.card_c {
        background: #52a0a7 url("@/assets/bg_home_specialty_3.png") no-repeat
          center/cover;
      }
      &.card_d {
        background: #343e47 url("@/assets/bg_home_specialty_4.png") no-repeat
          center/cover;
      }
      &.card_e {
        background: #cb975b url("@/assets/bg_home_specialty_5.png") no-repeat
          center/cover;
      }
      &:hover {
        flex: 2;
        .card_desc {
          animation: fadeInUp 0.3s ease-in-out;
          animation-fill-mode: forwards;
        }
      }
    }
  }
  @keyframes fadeInUp {
    from {
      opacity: 0;
      transform: translate3d(0, 100%, 0);
    }

    to {
      opacity: 1;
      transform: translate3d(0, 0, 0);
    }
  }
`;
